#pragma once

#include <fstream>
#include <stdarg.h>

using namespace std;
class Logger
{
public:
	
	Logger()
	{
		logfile.open("log.txt");
#ifdef DEBUG
		if(!logfile.is_open())
			MessageBox(0, "Could not open log.txt for writing", "Error", MB_OK);
#endif
	}
	~Logger()
	{
		logfile.close();
	}
	void Log(char msg[], ...);

	ofstream logfile;
};


	
